#ifndef AMPEL_WEB_CONFIG_H_
#define AMPEL_WEB_CONFIG_H_

#define STRING_LEN 64

#if defined(ESP8266)
#  include <ESP8266WebServer.h>
#elif defined(ESP32)
#  include <WebServer.h>
#endif

#include <IotWebConfTParameter.h>

namespace config {
  extern iotwebconf::TextTParameter<STRING_LEN> stringParam;
}

namespace web_config {
  void initialize();
  void setWifiConnectionCallback(void (*function)());
  void setWifiConnectionFailedCallback(void (*function)());
  void update();

#if defined(ESP8266)
  extern ESP8266WebServer http;
#elif defined(ESP32)
  extern WebServer http;
#endif
}
#endif
